Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
page = client.cloud.users.role_assignments.list()
page = page.results[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cloud"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Cloud.Users.RoleAssignments.List(context.TODO(), cloud.UserRoleAssignmentListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
curl --request GET \
--url https://api.gcore.com/cloud/v1/users/assignments \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cloud/v1/users/assignments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 1,
"results": [
{
"assigned_by": 123,
"client_id": 123,
"created_at": "2019-06-25T08:42:42Z",
"id": 12,
"project_id": 123,
"role": "ClientAdministrator",
"updated_at": "2019-06-25T08:42:42Z",
"user_id": 123
}
]
}User Role Assignments
List role assignments
List all role assignments in the specified scope.
GET
/
cloud
/
v1
/
users
/
assignments
Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
page = client.cloud.users.role_assignments.list()
page = page.results[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cloud"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Cloud.Users.RoleAssignments.List(context.TODO(), cloud.UserRoleAssignmentListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Query Parameters
Limit the number of returned items. Falls back to default of 1000 if not specified. Limited by max limit value of 1000
Required range:
x <= 1000Example:
100
Offset value is used to exclude the first set of records from the result
Required range:
x >= 0Example:
0
Project ID
Example:
123
User ID for filtering
Example:
123
Was this page helpful?